/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "project.h"

CY_ISR(Timer_Interrupt){
    LED_Write(~LED_Read());
 //   LED_ClearInterrupt();	/* Doesn't exist */
	Timer_1_ReadStatusRegister();	/* This is needed to clear the TC interrupt */
}

int main(void)
{
    CyGlobalIntEnable; /* Enable global interrupts. */
    Timer_Interrupt_StartEx(Timer_Interrupt);  /* Change to _StartEx() */
//    timer_clock_Start();
    Timer_1_Start();
	Timer_1_SetInterruptMode(Timer_1_STATUS_TC_INT_MASK);	/* Set the TC interrupt */
	/* This is not needed if the TC interrupt is set in the configuration */
	
	
    /* Place your initialization/startup code here (e.g. MyInst_Start()) */

    for(;;)
    {
        /* Place your application code here. */
    }
}

/* [] END OF FILE */
